classification
Title: Minor grammar change in Python’s MSI installer
Type: enhancement Stage: needs patch
Components: Installation, Windows Versions: Python 3.2, Python 3.3, Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: Retro, amaury.forgeotdarc, dontknow, eric.araujo, loewis, python-dev, r.david.murray
Priority: low Keywords: patch

Created on 2010-11-29 17:51 by Retro, last changed 2012-02-21 16:26 by loewis. This issue is now closed.

Files
File name Uploaded Description Edit
issue10580.diff Retro, 2012-01-26 18:25 Fixes the title from "Completing..." to "Complete..." review
Messages (18)
msg122832 - (view) Author: Boštjan Mejak (Retro) Date: 2010-11-29 17:51
The installer of Python should have consistent sentences, the ones in bold.

There's one sentence that needs fixing. The sentence "Completing the Python x.x.x Installer" should be "Complete the Python x.x.x Installer", because other sentences are in the form of "Install xxx" and "Customize xxx" (they are not written as "Installing xxx" and "Customizing xxx"). Please fix this.
msg122833 - (view) Author: Brian Curtin (brian.curtin) * (Python committer) Date: 2010-11-29 17:54
What installer?

Please provide a patch.
msg122856 - (view) Author: Martin v. Löwis (loewis) * (Python committer) Date: 2010-11-29 19:42
I'd like a native speaker (of English) to confirm this request.

The report is about Tools/msi/msi.py.
msg123029 - (view) Author: R. David Murray (r.david.murray) * (Python committer) Date: 2010-12-02 01:23
I think Boštjan is correct that that sentence is not parallel to the others.  If I understand correctly, at that point the installation is complete, and it is the final 'exit or back' dialog.  So I think the title should be "Complete Python x.x.x Installation".  Note, however, that I'm just looking at the code, not running the install.  Brian has more experience with the typical installer dialogs, so he'll have a better opinion, I think.
msg123554 - (view) Author: Brian Curtin (brian.curtin) * (Python committer) Date: 2010-12-07 15:07
Changing "Completing" to "Complete" seems fine to me.

Here is a screenshot of where this currently appears: http://i.imgur.com/RX9b9.png
msg151839 - (view) Author: Boštjan Mejak (Retro) Date: 2012-01-23 19:32
Is this fixed or what?
msg151840 - (view) Author: Brian Curtin (brian.curtin) * (Python committer) Date: 2012-01-23 19:33
No.
msg151855 - (view) Author: Boštjan Mejak (Retro) Date: 2012-01-23 22:06
Can you please fix this?
msg151856 - (view) Author: Brian Curtin (brian.curtin) * (Python committer) Date: 2012-01-23 22:07
Yes.
msg152026 - (view) Author: Boštjan Mejak (Retro) Date: 2012-01-26 18:25
After more than a year the patch is finally made. Can someone please applies this patch and closes this issue report? Thanks.
msg152325 - (view) Author: Boštjan Mejak (Retro) Date: 2012-01-30 15:14
Please apply this patch.
msg152383 - (view) Author: Boštjan Mejak (Retro) Date: 2012-01-31 13:06
Rather apply the patch, not change the title.
msg152405 - (view) Author: Boštjan Mejak (Retro) Date: 2012-01-31 20:50
Apply this patch. It is not necessary to change the title of this issue report, it is of most importance that this patch gets applied already after more than a year. Come on people, move your butts on this.
msg152406 - (view) Author: Amaury Forgeot d'Arc (amaury.forgeotdarc) * (Python committer) Date: 2012-01-31 20:57
Retro, this kind of tone is not appropriate for the bug tracker, and not appreciated at all by core developers.
msg152413 - (view) Author: Martin v. Löwis (loewis) * (Python committer) Date: 2012-01-31 23:17
Retro: Indeed I'm ignoring your reports because of your tone. If you want to insult me, go ahead, but please don't use the bug tracker (I can ignore insults pretty well by now). If you want to achieve something, stop insulting people.
msg153874 - (view) Author: Roundup Robot (python-dev) Date: 2012-02-21 16:07
New changeset d9e895d07396 by Martin v. Löwis in branch '2.7':
Issue #10580: Minor grammar change in Windows installer.
http://hg.python.org/cpython/rev/d9e895d07396
msg153875 - (view) Author: Roundup Robot (python-dev) Date: 2012-02-21 16:26
New changeset b349c932765a by Martin v. Löwis in branch '3.2':
Issue #10580: Minor grammar change in Windows installer.
http://hg.python.org/cpython/rev/b349c932765a
msg153876 - (view) Author: Martin v. Löwis (loewis) * (Python committer) Date: 2012-02-21 16:26
This is now fixed in all relevant branches.
History
Date User Action Args
2012-02-21 16:26:58loewissetstatus: open -> closed
resolution: fixed
messages: + msg153876
2012-02-21 16:26:30python-devsetmessages: + msg153875
2012-02-21 16:07:39python-devsetnosy: + python-dev
messages: + msg153874
2012-01-31 23:17:32loewissetmessages: + msg152413
2012-01-31 20:57:20amaury.forgeotdarcsetnosy: + amaury.forgeotdarc
messages: + msg152406
2012-01-31 20:50:52Retrosetmessages: + msg152405
2012-01-31 13:06:27Retrosetmessages: + msg152383
2012-01-30 17:05:44eric.araujosettitle: Installer sentence in bold -> Minor grammar change in Python’s MSI installer
versions: - Python 3.1
2012-01-30 15:18:47brian.curtinsetnosy: - brian.curtin
2012-01-30 15:14:56Retrosetmessages: + msg152325
2012-01-26 18:25:42Retrosetfiles: + issue10580.diff
keywords: + patch
messages: + msg152026

versions: + Python 3.3
2012-01-23 22:07:10brian.curtinsetmessages: + msg151856
2012-01-23 22:06:43Retrosetmessages: + msg151855
2012-01-23 19:33:52brian.curtinsetmessages: + msg151840
2012-01-23 19:32:57Retrosetnosy: + dontknow
type: enhancement
messages: + msg151839
2010-12-07 15:07:33brian.curtinsetmessages: + msg123554
2010-12-02 01:23:44r.david.murraysetnosy: + r.david.murray
messages: + msg123029
2010-11-29 19:42:45loewissetmessages: + msg122856
2010-11-29 18:40:56pitrousetnosy: + loewis
2010-11-29 18:39:48eric.araujosetnosy: + eric.araujo

components: + Windows
versions: - Python 3.3
2010-11-29 17:54:56brian.curtinsetpriority: normal -> low

nosy: + brian.curtin
messages: + msg122833

stage: needs patch
2010-11-29 17:51:39Retrocreate